Lubuntu brak dźwięku


(Pbuderaski) #1

Witam,

problemy zaczęły się wczoraj, kiedy próbowałem odtworzyć uszkodzony plik mp3 w Sonacie.

Wysypał mi się przy tym cały mpd i po jego restarcie sonata nie mogła złapać połączenia. Jako, że była noc i nie chciało mi się kombinować, zainstalowałem tylko aktualizacje systemu i poszedłem spać.

 

Rano ku mojej uciesze Sonata bez problemu połączyła się z MPD, tylko niestety nie było dźwięku. Zauważyłem, że MPD ma ustawioną głośność 1/100. Po zmianie na 100, dalej nie było dźwięku. 

Wszystkie głosności w alsie są ok. W wyborze listy kart dźwiękowych pokazuje mi tylko HDA Intel.

Gdzieś wyczytałem, żeby ściągnąć  pavucontrol i przejrzeć w nim wszystkie opcje, lecz niestety ten program nei wykrywa mi karty dźwiękowej. 

 

Ps: dźwięk w chromium i w innych odtwarzaczach nie opierających się na MPD też nie działa.

Ps2: podczas uruchamiania pavu odtrzymuję taki błąd:

**(pavucontrol:3760): WARNING**: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-zqFHy8umdX: Połączenie odrzucone

Wersja systemu: ubuntu 13.10

Laptop: Emachines e250

Karta dźwiękowa: ALC272x


(MrQ) #2

Skoro ALSA działa a pavucontrol nie, to pewnie się pulseaudio posypało (może w wyniku aktualizacji)?


(Pbuderaski) #3

Jakie pomysły? Odinstalować i zainstalować?

Dostaję taki komunikat po wklapaniu pulseaudio w konsolę:

E: [pulseaudio] main.c: pa_pid_file_create() się nie powiodło.

Restart Daemona nie pomaga.


(MrQ) #4

Nie masz przypadkiem zapchanej partycji na której jest /var/run ?

 

Jeśli nie to sprawdź w /var/log/apt/history.log czy przy ostatniej aktualizacji nie zaktualizował się jakiś komponent pulseaudio (być może niestabilny) i ewentualnie cofnij paczkę do starszej wersji.


(Pbuderaski) #5

Nie, partycja ma sporo miejsca wolnego

 

Start-Date: 2013-12-05 16:14:37
Commandline: apt-get install digikam
Install: hugin-tools:i386 (2013.0.0~rc1+dfsg-1ubuntu1, automatic), libplasma3:i386 (4.11.2-0ubuntu2.1, automatic), libkipi-data:i386 (4.11.2-0ubuntu1, automatic), libqt4-svg:i386 (4.8.4+dfsg-0ubuntu18, automatic), libkpty4:i386 (4.11.2-0ubuntu2.1, automatic), libnepomukquery4a:i386 (4.11.2-0ubuntu2.1, automatic), kubuntu-debug-installer:i386 (13.10ubuntu1, automatic), libqt4-qt3support:i386 (4.8.4+dfsg-0ubuntu18, automatic), ntrack-module-libnl-0:i386 (016-1.1, automatic), pulseaudio:i386 (4.0-0ubuntu6, automatic), libdlrestrictions1:i386 (0.15.8ubuntu2, automatic), libopencv-contrib2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), kipi-plugins-common:i386 (3.4.0-1ubuntu3, automatic), libkemoticons4:i386 (4.11.2-0ubuntu2.1, automatic), kdelibs-bin:i386 (4.11.2-0ubuntu2.1, automatic), libkactivities6:i386 (4.11.2-0ubuntu1, automatic), libsqlite0:i386 (2.8.17-8fakesync1, automatic), katepart:i386 (4.11.2a-0ubuntu1, automatic), libnepomukutils4:i386 (4.11.2-0ubuntu2.1, automatic), libpgf6:i386 (6.12.24+ds1-2, automatic), libkface2:i386 (1.0~digikam3.4.0-1ubuntu3, automatic), libksane0:i386 (4.11.2-0ubuntu1, automatic), libntrack-qt4-1:i386 (016-1.1, automatic), libzthread-2.3-2:i386 (2.3.2-7ubuntu1, automatic), gstreamer0.10-pulseaudio:i386 (0.10.31-3+nmu1ubuntu3, automatic), libkde3support4:i386 (4.11.2-0ubuntu2.1, automatic), marble-data:i386 (4.11.2-0ubuntu1, automatic), libmarblewidget16:i386 (4.11.2-0ubuntu1, automatic), libgps20:i386 (3.9-2, automatic), plasma-scriptengine-javascript:i386 (4.11.2-0ubuntu1, automatic), libphonon4:i386 (4.7.0really4.6.0-0ubuntu2, automatic), libpoppler-qt4-4:i386 (0.24.1-0ubuntu1, automatic), libimage-exiftool-perl:i386 (9.13-1, automatic), libkgeomap1:i386 (1.0~digikam3.4.0-1ubuntu3, automatic), kde-runtime:i386 (4.11.2-0ubuntu1, automatic), libkdeclarative5:i386 (4.11.2-0ubuntu2.1, automatic), libvirtodbc0:i386 (6.1.6+repack-0ubuntu3, automatic), libqt4-designer:i386 (4.8.4+dfsg-0ubuntu18, automatic), virtuoso-opensource-6.1-common:i386 (6.1.6+repack-0ubuntu3, automatic), virtuoso-opensource-6.1-bin:i386 (6.1.6+repack-0ubuntu3, automatic), libboost-filesystem1.53.0:i386 (1.53.0-6+exp3ubuntu8, automatic), libnepomuk4:i386 (4.11.2-0ubuntu2.1, automatic), libqextserialport1:i386 (1.2.0~rc1+git7-g3be3fbf-1, automatic), libknewstuff3-4:i386 (4.11.2-0ubuntu2.1, automatic), libopencv-objdetect2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libopencv-core2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libkparts4:i386 (4.11.2-0ubuntu2.1, automatic), libkdewebkit5:i386 (4.11.2-0ubuntu2.1, automatic), libquazip0:i386 (0.5.1-2, automatic), soprano-daemon:i386 (2.9.4+dfsg1-0ubuntu2, automatic), docbook-xml:i386 (4.5-7.2, automatic), libattica0.4:i386 (0.4.2-1, automatic), libopencv-calib3d2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), kipi-plugins:i386 (3.4.0-1ubuntu3, automatic), libkdcraw-data:i386 (4.11.2-0ubuntu1, automatic), sgml-data:i386 (2.0.9-1, automatic), libkcmutils4:i386 (4.11.2-0ubuntu2.1, automatic), libboost-thread1.53.0:i386 (1.53.0-6+exp3ubuntu8, automatic), libmagickwand5:i386 (6.7.7.10-5ubuntu3, automatic), libsolid4:i386 (4.11.2-0ubuntu2.1, automatic), libkhtml5:i386 (4.11.2-0ubuntu2.1, automatic), phonon:i386 (4.7.0really4.6.0-0ubuntu2, automatic), libepub0:i386 (0.2.2-1ubuntu1, automatic), libkdnssd4:i386 (4.11.2-0ubuntu2.1, automatic), libthreadweaver4:i386 (4.11.2-0ubuntu2.1, automatic), virtuoso-minimal:i386 (6.1.6+repack-0ubuntu3, automatic), ffmpegthumbs:i386 (4.11.2-0ubuntu1, automatic), libkfile4:i386 (4.11.2-0ubuntu2.1, automatic), libknotifyconfig4:i386 (4.11.2-0ubuntu2.1, automatic), docbook-xsl:i386 (1.78.1+dfsg-1, automatic), qapt-batch:i386 (2.0.65-0ubuntu1, automatic), phonon-backend-gstreamer:i386 (4.7.0really4.6.3-0ubuntu2, automatic), libntrack0:i386 (016-1.1, automatic), hugin:i386 (2013.0.0~rc1+dfsg-1ubuntu1, automatic), libnepomukcore4abi1:i386 (4.11.2-0ubuntu1, automatic), rtkit:i386 (0.10-2ubuntu1, automatic), libkdesu5:i386 (4.11.2-0ubuntu2.1, automatic), libcanberra-pulse:i386 (0.30-0ubuntu2, automatic), libktexteditor4:i386 (4.11.2-0ubuntu2.1, automatic), libkidletime4:i386 (4.11.2-0ubuntu2.1, automatic), libkjsapi4:i386 (4.11.2-0ubuntu2.1, automatic), kdoctools:i386 (4.11.2-0ubuntu2.1, automatic), libkio5:i386 (4.11.2-0ubuntu2.1, automatic), odbcinst1debian2:i386 (2.2.14p2-5ubuntu4, automatic), libboost-signals1.53.0:i386 (1.53.0-6+exp3ubuntu8, automatic), libkmediaplayer4:i386 (4.11.2-0ubuntu2.1, automatic), libqapt2:i386 (2.0.65-0ubuntu1, automatic), libkdecore5:i386 (4.11.2-0ubuntu2.1, automatic), libnepomukcleaner4:i386 (4.11.2-0ubuntu1, automatic), libpulsedsp:i386 (4.0-0ubuntu6, automatic), libboost-regex1.53.0:i386 (1.53.0-6+exp3ubuntu8, automatic), libkface-data:i386 (1.0~digikam3.4.0-1ubuntu3, automatic), libsoprano4:i386 (2.9.4+dfsg1-0ubuntu2, automatic), icoutils:i386 (0.31.0-1, automatic), libpano13-2:i386 (2.9.18+dfsg-6ubuntu1, automatic), liblqr-1-0:i386 (0.4.1-2, automatic), libtbb2:i386 (4.1~20130613-1.2, automatic), libopencv-ml2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libopencv-features2d2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libkrosscore4:i386 (4.11.2-0ubuntu2.1, automatic), oxygen-icon-theme:i386 (4.11.2-0ubuntu1, automatic), libmagickcore5:i386 (6.7.7.10-5ubuntu3, automatic), libstreamanalyzer0:i386 (0.7.7-3ubuntu4, automatic), libkatepartinterfaces4:i386 (4.11.2a-0ubuntu1, automatic), libkntlm4:i386 (4.11.2-0ubuntu2.1, automatic), libopencv-video2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), digikam:i386 (3.4.0-1ubuntu3), libkgeomap-data:i386 (1.0~digikam3.4.0-1ubuntu3, automatic), libkipi11:i386 (4.11.2-0ubuntu1, automatic), kdelibs5-data:i386 (4.11.2-0ubuntu2.1, automatic), imagemagick-common:i386 (6.7.7.10-5ubuntu3, automatic), libkactivities-models1:i386 (4.11.2-0ubuntu1, automatic), libqca2:i386 (2.0.3-4, automatic), libopencv-imgproc2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libkxmlrpcclient4:i386 (4.11.2-0ubuntu1, automatic), libpano13-bin:i386 (2.9.18+dfsg-6ubuntu1, automatic), libpolkit-qt-1-1:i386 (0.103.0-1ubuntu1, automatic), digikam-data:i386 (3.4.0-1ubuntu3, automatic), libkjsembed4:i386 (4.11.2-0ubuntu2.1, automatic), libarchive-zip-perl:i386 (1.30-7, automatic), libqapt2-runtime:i386 (2.0.65-0ubuntu1, automatic), libshp1:i386 (1.2.10-7, automatic), freeglut3:i386 (2.8.1-1, automatic), nepomuk-core-data:i386 (4.11.2-0ubuntu1, automatic), libnetpbm10:i386 (10.0-15ubuntu2, automatic), libqtlocation1:i386 (1.2.0-3ubuntu5, automatic), marble-plugins:i386 (4.11.2-0ubuntu1, automatic), libopencv-highgui2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libkexiv2-11:i386 (4.11.2-0ubuntu1, automatic), enfuse:i386 (4.0+dfsg-6ubuntu1, automatic), libkexiv2-data:i386 (4.11.2-0ubuntu1, automatic), netpbm:i386 (10.0-15ubuntu2, automatic), pulseaudio-module-x11:i386 (4.0-0ubuntu6, automatic), libkdeui5:i386 (4.11.2-0ubuntu2.1, automatic), libopencv-flann2.4:i386 (2.4.5+dfsg-0ubuntu4, automatic), libstreams0:i386 (0.7.7-3ubuntu4, automatic), enblend:i386 (4.0+dfsg-6ubuntu1, automatic), kate-data:i386 (4.11.2a-0ubuntu1, automatic), libkdcraw22:i386 (4.11.2-0ubuntu1, automatic), hugin-data:i386 (2013.0.0~rc1+dfsg-1ubuntu1, automatic), kde-runtime-data:i386 (4.11.2-0ubuntu1, automatic), odbcinst:i386 (2.2.14p2-5ubuntu4, automatic), kdelibs5-plugins:i386 (4.11.2-0ubuntu2.1, automatic), libssh-4:i386 (0.5.4-1, automatic), pulseaudio-utils:i386 (4.0-0ubuntu6, automatic), libkactivities-bin:i386 (4.11.2-0ubuntu1, automatic), libmagickcore5-extra:i386 (6.7.7.10-5ubuntu3, automatic), imagemagick:i386 (6.7.7.10-5ubuntu3, automatic), shared-desktop-ontologies:i386 (0.11.0-1, automatic), nepomuk-core-runtime:i386 (4.11.2-0ubuntu1, automatic), libksane-data:i386 (4.11.2-0ubuntu1, automatic), libplot2c2:i386 (2.6-3ubuntu1, automatic)
End-Date: 2013-12-05 16:23:57

To wszystko przyszło z digikam? Mogę cofnąć sama paczkę pulseaudio czy muszę odinstalować cały program digikam?


(Frankfurterium) #6

 

Tak. Digikam należy do "rodziny" KDE. Ściągasz jeden program, ściąga ci się całe środowisko.


(Pbuderaski) #7

Przeinstalowałem pulse audio, zmieniłem audio_output w mpd na pulse i wszystko pieknie działa. Dzięki za pomoc.